pr_flags_t Struct Reference
Implementation internals

## Data Fields

enum probe_feature val | parent
unsigned | mask
char * | name
hal_prop_type_t | type

## Field Documentation

## mask

unsigned pr_flags_t::mask

Referenced by hd_clear_probe_feature(), hd_set_probe_feature(), and set_probe_feature().

## name

char* pr_flags_t::name

Referenced by get_probe_val_int(), get_probe_val_list(), get_probe_val_str(), hd_probe_feature_by_value(), hd_scan(), and set_probe_val().

## parent

enum probe_feature val pr_flags_t::parent

Referenced by hd_clear_probe_feature(), hd_set_probe_feature(), and set_probe_feature().

## type

hal_prop_type_t pr_flags_t::type

Referenced by get_probe_env(), hd_scan(), and set_probe_val().

The documentation for this struct was generated from the following file:

- hd.c